/************************************ */
/* Rule Set Based Access Control      */
/* Author and (c) 1999-2001: Amon Ott */
/* System Call definitions - alpha    */
/* Last modified: 16/Feb/2001         */
/************************************ */

#ifndef __RSBAC_UNISTD_ALPHA_H
#define __RSBAC_UNISTD_ALPHA_H

/* RSBAC - we start at 400 */
#define __NR_rsbac_get_attr		400
#define __NR_rsbac_get_attr_n		401
#define __NR_rsbac_set_attr		402
#define __NR_rsbac_set_attr_n		403
#define __NR_rsbac_remove_target	404
#define __NR_rsbac_remove_target_n	405
#define __NR_rsbac_stats		406
#define __NR_rsbac_switch		407
#define __NR_rsbac_adf_log_switch	408
#define __NR_rsbac_mac_set_curr_seclevel 409
#define __NR_rsbac_mac_get_curr_seclevel 410
#define __NR_rsbac_mac_set_max_seclevel	411
#define __NR_rsbac_mac_get_max_seclevel	412
#define __NR_rsbac_stats_pm		413
#define __NR_rsbac_pm			414
#define __NR_rsbac_pm_change_current_task 415
#define __NR_rsbac_pm_create_file	416
#define __NR_rsbac_ms_get_copied	417
#define __NR_rsbac_write		418
#define __NR_rsbac_log			419
#define __NR_rsbac_check		420
#define __NR_rsbac_rc_copy_role		421
#define __NR_rsbac_rc_get_item		422
#define __NR_rsbac_rc_set_item		423
#define __NR_rsbac_rc_change_role	424
#define __NR_rsbac_auth_add_p_cap	425
#define __NR_rsbac_auth_remove_p_cap	426
#define __NR_rsbac_auth_add_f_cap	427
#define __NR_rsbac_auth_remove_f_cap	428
#define __NR_rsbac_auth_get_f_caplist	429
#define __NR_rsbac_mac_set_curr_categories 430
#define __NR_rsbac_mac_get_curr_categories 431
#define __NR_rsbac_mac_set_max_categories 432
#define __NR_rsbac_mac_get_max_categories 433
#define __NR_rsbac_rc_get_eff_rights_n	434
#define __NR_rsbac_acl			435
#define __NR_rsbac_acl_n		436
#define __NR_rsbac_acl_get_rights	437
#define __NR_rsbac_acl_get_rights_n	438
#define __NR_rsbac_acl_get_tlist	439
#define __NR_rsbac_acl_get_tlist_n	440
#define __NR_rsbac_acl_get_mask		441
#define __NR_rsbac_acl_get_mask_n	442
#define __NR_rsbac_acl_group		443
#define __NR_rsbac_reg			444

#endif
