/************************************ */
/* Rule Set Based Access Control      */
/* Author and (c) 1999-2001: Amon Ott */
/* System Call definitions - i386     */
/* Last modified: 16/Feb/2001         */
/************************************ */

#ifndef __RSBAC_UNISTD_I386_H
#define __RSBAC_UNISTD_I386_H

/* RSBAC - we start at 230 */
#define __NR_rsbac_get_attr         230
#define __NR_rsbac_get_attr_n       231
#define __NR_rsbac_set_attr         232
#define __NR_rsbac_set_attr_n       233
#define __NR_rsbac_remove_target    234
#define __NR_rsbac_remove_target_n  235
#define __NR_rsbac_stats            236
#define __NR_rsbac_switch           237
#define __NR_rsbac_adf_log_switch   238
#define __NR_rsbac_mac_set_curr_seclevel 239
#define __NR_rsbac_mac_get_curr_seclevel 240
#define __NR_rsbac_mac_set_max_seclevel 241
#define __NR_rsbac_mac_get_max_seclevel 242
#define __NR_rsbac_stats_pm         243
#define __NR_rsbac_pm               244
#define __NR_rsbac_pm_change_current_task 245
#define __NR_rsbac_pm_create_file   246
#define __NR_rsbac_ms_get_copied    247
#define __NR_rsbac_write            248
#define __NR_rsbac_log              249
#define __NR_rsbac_check            250
#define __NR_rsbac_rc_copy_role     251
#define __NR_rsbac_rc_get_item      252
#define __NR_rsbac_rc_set_item      253
#define __NR_rsbac_rc_change_role   254
#define __NR_rsbac_auth_add_p_cap   255
#define __NR_rsbac_auth_remove_p_cap 256
#define __NR_rsbac_auth_add_f_cap   257
#define __NR_rsbac_auth_remove_f_cap 258
#define __NR_rsbac_auth_get_f_caplist 259
#define __NR_rsbac_mac_set_curr_categories 260
#define __NR_rsbac_mac_get_curr_categories 261
#define __NR_rsbac_mac_set_max_categories 262
#define __NR_rsbac_mac_get_max_categories 263
#define __NR_rsbac_rc_get_eff_rights_n 264
#define __NR_rsbac_acl              265
#define __NR_rsbac_acl_n            266
#define __NR_rsbac_acl_get_rights   267
#define __NR_rsbac_acl_get_rights_n 268
#define __NR_rsbac_acl_get_tlist    269
#define __NR_rsbac_acl_get_tlist_n  270
#define __NR_rsbac_acl_get_mask     271
#define __NR_rsbac_acl_get_mask_n   272
#define __NR_rsbac_acl_group        273
#define __NR_rsbac_reg              274

#endif
